import { jsx as t } from "react/jsx-runtime";
import i, { useState as r } from "react";
const g = (a) => {
  const [d, h] = r(Math.random() * 99998 + 1), {
    "data-width": m,
    "data-height": n,
    "data-name": o,
    parent: c,
    editing: l,
    component: s,
    unique: u
  } = a;
  let e = () => /* @__PURE__ */ t("div", { children: "Not found" });
  return e = i.lazy(() => import("../" + o + "/")), /* @__PURE__ */ t("div", { style: { width: "100%", height: n + "px" }, className: "parallax-container", children: /* @__PURE__ */ t(e, { ...a }) });
};
export {
  g as default
};
